<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Noto+Sans+Display:wght@100&family=Orbitron:wght@600&display=swap" rel="stylesheet"> 
    {% load static %}
    <link rel="stylesheet" href="{% static 'formstyles.css' %}">
    <title>Add Friend</title>
</head>
<body>
    <div class="form-container">
        <h1>Add Friend</h1>
        <!-- Submit button generates a post request on the corresponding function -->
        <form action="" method="POST">
            <!-- Consisting of alphanumeric code of random secret value 
            to ensure that a server only accept forms that it sent to the user
            -->
            {% csrf_token %}

            <!-- Display Form as table wrapped in <tr> tags, every element 
                will be displayed in a separated row -->
            <table>{{ form.as_table }}</table>

            <input type="submit" class="input-button" value="Submit">
        </form>
    </div>
</body>
</html>